Astrocal
API ReferenceTeamV1OrganizationsOrgidMembers

List organization members

Lists all members of an organization. Service key authentication required.

GET
/v1/organizations/{orgId}/members

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Path Parameters

orgId*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/members"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "user_id": "string",
      "user_email": "string",
      "role": "owner",
      "invited_by": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}